function onBegin()
      repeat
            setDarkness(getDarkness() - 0.01)
            wait()
      until getDarkness() <= 0.5
      setDarkness(0.5)
      setColorGrade("aletris/esoterica/colorgrade")
      wait(5)
end